#include "delay.h"
static int8_t  fac_us=0;//us
static int16_t fac_ms=0;//ms
#define  u8  unsigned char
#define  u16  unsigned int
	
void delay_us(unsigned int a)
{
	for( ;a>0;a--)
	{
			__NOP;
		
	}
}
	
void delay_usnvic(u16 time)
{    
   u16 i=0;  
   while(time--)
   {
      i=10;  //自己定义
      while(i--) ;    
   }
}
void delay_msnvic(u16 time)
{    
   u16 i=0;  
   while(time--)
   {
      i=12000;  //自己定义
      while(i--) ;    
   }
}